# Method: projects.datasets.errors.list

- [HTTP request](https://developers.google.com/maps/tt/dds/maps-datasets/reference/rest/v1alpha/projects.datasets.errors/list#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/maps/tt/dds/maps-datasets/reference/rest/v1alpha/projects.datasets.errors/list#body.PATH_PARAMETERS)
- [Query parameters](https://developers.google.com/maps/tt/dds/maps-datasets/reference/rest/v1alpha/projects.datasets.errors/list#body.QUERY_PARAMETERS)
- [Request body](https://developers.google.com/maps/tt/dds/maps-datasets/reference/rest/v1alpha/projects.datasets.errors/list#body.request_body)
- [Response body](https://developers.google.com/maps/tt/dds/maps-datasets/reference/rest/v1alpha/projects.datasets.errors/list#body.response_body)
  - [JSON representation](https://developers.google.com/maps/tt/dds/maps-datasets/reference/rest/v1alpha/projects.datasets.errors/list#body.ListDatasetErrorsResponse.SCHEMA_REPRESENTATION)
- [Authorization Scopes](https://developers.google.com/maps/tt/dds/maps-datasets/reference/rest/v1alpha/projects.datasets.errors/list#body.aspect)
- [IAM Permissions](https://developers.google.com/maps/tt/dds/maps-datasets/reference/rest/v1alpha/projects.datasets.errors/list#body.aspect_1)

Get all the errors of a Dataset (currently this only works for DDS use case).

### HTTP request

`GET https://mapsplatformdatasets.googleapis.com/v1alpha/{name=projects/*/datasets/*}/errors`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `name` | `string` Required. Format: projects/${project}/datasets/{dataset_id} |

### Query parameters

| Parameters ||
|---|---|
| `pageSize` | `integer` The maximum number of versions to return per page. Defaults to 10. |
| `pageToken` | `string` The page token, received from a previous errors.list call. Provide this to retrieve the subsequent page. |

### Request body

The request body must be empty.

### Response body

If successful, the response body contains data with the following structure:
Response of errors.list. Returns a repeated string for error messages.

| JSON representation |
|---|
| ``` { "errorMessages": [ string ], "nextPageToken": string } ``` |

| Fields ||
|---|---|
| `errorMessages[]` | `string` The errors belonging to a Dataset. |
| `nextPageToken` | `string` A token that can be sent as `pageToken` to retrieve the next page. If this field is omitted, there are no subsequent pages. |

### Authorization Scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/cloud-platform`

### IAM Permissions

Requires the following [IAM](https://cloud.google.com/iam/docs) permission on the `name` resource:

- `mapsplatformdatasets.datasets.get`

For more information, see the [IAM documentation](https://cloud.google.com/iam/docs).